namespace Demo.Domain.Models
{
    public class Group
    {
        public required int ID{get; set; }
        public required string Name{get; set; }

        public static Group Parse(string input){
            string[] words = input.Split(" ");
            return new Group{ID = Convert.ToInt32(words[0]), Name = words[1]};
        }
    }

    public class GroupCon{
        public required int ID{get; set; }
        public required string Name{get; set; }
        public List<User> Users { get; set; } = new List<User>();
    }

    public class GroupWithUsers
    {
        public required string GroupName { get; set; }
        public List<UserRequest> Users { get; set; }
    }

    public class DeleteGroupsRequest
    {
        public List<int> GroupIDs { get; set; }
    }
}